## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pygdbmi
Version:        0.11.0.0
Release:        %autorelease
Summary:        Get Structured Output from GDB's Machine Interface 
License:        MIT
URL:            https://github.com/cs01/pygdbmi
Source0:        %{url}/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  gdb

%global _description \
GDB/MI is a line based machine oriented \
text interface to GDB and is activated by \
specifying using the --interpreter command \
line option (see Mode Options). It is\
specifically intended to support the development\
of systems which use the debugger as just one\
small component of a larger system.


%description %{_description}


%package -n python%{python3_pkgversion}-pygdbmi
Summary:        %{summary}


%description -n python%{python3_pkgversion}-pygdbmi %{_description}


%prep
%autosetup -n pygdbmi-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pygdbmi

%check
%pytest

%files -n python%{python3_pkgversion}-pygdbmi
%doc README.md
%license LICENSE
%{python3_sitelib}/pygdbmi
%{python3_sitelib}/pygdbmi-%{version}.dist-info

%changelog
* Sun Sep 24 2023 Steve Cossette <farchord@gmail.com> - 0.11.0.0-1
- Initial import (fedora#2239637).
