Name:           python-stack-data
Version:        0.5.0
Release:        1%{?dist}
Summary:        Extract data from python stack frames and tracebacks for informative displays

License:        MIT
URL:            http://github.com/alexmojaki/stack_data
Source0:        %{pypi_source stack_data}

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
# Extra test dependency
# Tests use Cython and try to compile some extensions
BuildRequires:  gcc

%global _description %{expand:
This is a library that extracts data from stack frames and tracebacks,
particularly to display more useful tracebacks than the default.}


%description %_description

%package -n     python%{python3_pkgversion}-stack-data
Summary:        %{summary}

%description -n python%{python3_pkgversion}-stack-data %_description


%prep
%autosetup -p1 -n stack_data-%{version}


# %generate_buildrequires
# %pyproject_buildrequires -r -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files stack_data


%files -n python%{python3_pkgversion}-stack-data -f %{pyproject_files}
%doc README.md

%changelog
* Sat Aug 27 2022 Lumír Balhar <lbalhar@redhat.com> - 0.5.0-1
- Update to 0.5.0
Resolves: rhbz#2121934

* Sat Aug 13 2022 Lumír Balhar <lbalhar@redhat.com> - 0.4.0-1
- Update to 0.4.0
Resolves: rhbz#2118041

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 0.3.0-2
- Rebuilt for Python 3.11

* Wed Jun 15 2022 Lumír Balhar <lbalhar@redhat.com> - 0.3.0-1
- Update to 0.3.0
Resolves: rhbz#2097361

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.2.0-3
- Rebuilt for Python 3.11

* Wed May 11 2022 Charalampos Stratakis <cstratak@redhat.com> - 0.2.0-2
- Fix tests with pygments 2.12.0
Resolves: rhbz#2081905

* Tue Feb 15 2022 Lumír Balhar <lbalhar@redhat.com> - 0.2.0-1
- Update to 0.2.0
Resolves: rhbz#2054370

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Lumír Balhar <lbalhar@redhat.com> - 0.1.4-1
- Update to 0.1.4
Resolves: rhbz#2041029

* Tue Jan 04 2022 Lumír Balhar <lbalhar@redhat.com> - 0.1.3-1
- Package generated with pyp2spec
